=== kadu-core/gui/CMakeLists.txt ===
set (gui_SRCS
	hot-key.cpp
	status-icon.cpp

	actions/chat/add-conference-action.cpp
	actions/chat/leave-chat-action.cpp

	actions/action.cpp
	actions/actions.cpp
	actions/action-description.cpp
	actions/base-action-context.cpp
	actions/change-status-action.cpp
	actions/default-proxy-action.cpp
	actions/delete-talkable-action.cpp
	actions/edit-talkable-action.cpp

	widgets/account-buddy-list-widget.cpp
	widgets/account-avatar-widget.cpp
	widgets/accounts-combo-box.cpp
	widgets/actions-combo-box.cpp
	widgets/avatar-painter.cpp
	widgets/buddy-avatar-widget.cpp
	widgets/buddy-contacts-table-delegate.cpp
	widgets/buddy-contacts-table-item.cpp
	widgets/buddy-contacts-table-model.cpp
	widgets/buddy-contacts-table-model-proxy.cpp
	widgets/buddy-contacts-table.cpp
	widgets/buddy-general-configuration-widget.cpp
	widgets/buddy-groups-configuration-widget.cpp
	widgets/buddy-personal-info-configuration-widget.cpp
	widgets/buddy-options-configuration-widget.cpp
	widgets/buddy-info-panel.cpp
	widgets/chat-edit-box.cpp
	widgets/chat-edit-box-size-manager.cpp
	widgets/chat-messages-view.cpp
	widgets/chat-view-network-access-manager.cpp
	widgets/chat-widget.cpp
	widgets/chat-widget-actions.cpp
	widgets/chat-widget-manager.cpp
	widgets/choose-identity-widget.cpp
	widgets/color-button.cpp
	widgets/color-selector.cpp
	widgets/custom-input.cpp
	widgets/custom-input-menu-item.cpp
	widgets/custom-input-menu-manager.cpp
	widgets/delayed-line-edit.cpp
	widgets/file-transfer-widget.cpp
	widgets/filter-widget.cpp
	widgets/filtered-tree-view.cpp
	widgets/group-list.cpp
	widgets/group-tab-bar.cpp
	widgets/groups-combo-box.cpp
	widgets/identities-combo-box.cpp
	widgets/kadu-tree-view.cpp
	widgets/kadu-tree-view-delegate.cpp
	widgets/kadu-web-view.cpp
	widgets/line-edit-clear-button.cpp
	widgets/line-edit-with-clear-button.cpp
	widgets/modal-configuration-widget.cpp
	widgets/path-edit.cpp
	widgets/path-list-edit.cpp
	widgets/progress-icon.cpp
	widgets/progress-label.cpp
	widgets/protocols-combo-box.cpp
	widgets/proxy-combo-box.cpp
	widgets/preview.cpp
	widgets/roster-widget.cpp
	widgets/select-buddy-combo-box.cpp
	widgets/select-buddy-popup.cpp
	widgets/select-file.cpp
	widgets/select-font.cpp
	widgets/status-button.cpp
	widgets/status-buttons.cpp
	widgets/status-menu.cpp
	widgets/syntax-editor.cpp
	widgets/talkable-delegate.cpp
	widgets/talkable-delegate-configuration.cpp
	widgets/talkable-menu-item.cpp
	widgets/talkable-menu-manager.cpp
	widgets/talkable-painter.cpp
	widgets/talkable-tree-view.cpp
	widgets/toolbar.cpp
	widgets/tool-tip-class-manager.cpp

	widgets/configuration/buddy-list-background-colors-widget.cpp
	widgets/configuration/config-action-button.cpp
	widgets/configuration/config-check-box.cpp
	widgets/configuration/config-color-button.cpp
	widgets/configuration/config-combo-box.cpp
	widgets/configuration/config-gg-password-edit.cpp
	widgets/configuration/config-hot-key-edit.cpp
	widgets/configuration/config-label.cpp
	widgets/configuration/config-line-separator.cpp
	widgets/configuration/config-line-edit.cpp
	widgets/configuration/config-list-widget.cpp
	widgets/configuration/config-path-list-edit.cpp
	widgets/configuration/config-preview.cpp
	widgets/configuration/config-proxy-combo-box.cpp
	widgets/configuration/config-radio-button.cpp
	widgets/configuration/config-select-file.cpp
	widgets/configuration/config-select-font.cpp
	widgets/configuration/config-slider.cpp
	widgets/configuration/config-spin-box.cpp
	widgets/configuration/config-syntax-editor.cpp
	widgets/configuration/config-widget-value.cpp
	widgets/configuration/config-widget.cpp
	widgets/configuration/configuration-widget.cpp
	widgets/configuration/config-section.cpp
	widgets/configuration/config-group-box.cpp
	widgets/configuration/config-tab.cpp
	widgets/configuration/notifier-configuration-widget.cpp
	widgets/configuration/notify-group-box.cpp
	widgets/configuration/notify-tree-widget.cpp

	windows/about.cpp
	windows/add-buddy-window.cpp
	windows/add-conference-window.cpp
	windows/buddy-data-window.cpp
	windows/buddy-data-window-aware-object.cpp
	windows/buddy-delete-window.cpp
	windows/chat-data-window.cpp
	windows/chat-window.cpp
	windows/choose-description.cpp
	windows/configuration-window.cpp
	windows/file-transfer-window.cpp
	windows/group-properties-window.cpp
	windows/kadu-window.cpp
	windows/kadu-window-actions.cpp
	windows/main-configuration-window.cpp
	windows/main-window.cpp
	windows/merge-buddies-window.cpp
	windows/message-dialog.cpp
	windows/modules-window.cpp
	windows/multilogon-window.cpp
	windows/password-window.cpp
	windows/plugin-error-dialog.cpp
	windows/progress-window.cpp
	windows/progress-window2.cpp
	windows/proxy-action-context.cpp
	windows/proxy-edit-window.cpp
	windows/search-window.cpp
	windows/search-window-actions.cpp
	windows/subscription-window.cpp
	windows/syntax-editor-window.cpp
	windows/updates-dialog.cpp
	windows/window-notifier-window.cpp
	windows/your-accounts.cpp

	windows/open-chat-with/open-chat-with.cpp
	windows/open-chat-with/open-chat-with-contact-list-runner.cpp
	windows/open-chat-with/open-chat-with-runner-manager.cpp
)

set (gui_MOC_SRCS
	hot-key.h
	status-icon.h

	actions/chat/add-conference-action.h
	actions/chat/leave-chat-action.h

	actions/action.h
	actions/actions.h
	actions/action-context.h
	actions/action-description.h
	actions/base-action-context.h
	actions/change-status-action.h
	actions/delete-talkable-action.h
	actions/default-proxy-action.h
	actions/edit-talkable-action.h

	widgets/account-add-widget.h
	widgets/account-avatar-widget.h
	widgets/account-buddy-list-widget.h
	widgets/account-create-widget.h
	widgets/account-edit-widget.h
	widgets/accounts-combo-box.h
	widgets/actions-combo-box.h
	widgets/buddy-avatar-widget.h
	widgets/buddy-contacts-table-delegate.h
	widgets/buddy-contacts-table-item.h
	widgets/buddy-contacts-table-model.h
	widgets/buddy-contacts-table-model-proxy.h
	widgets/buddy-contacts-table.h
	widgets/buddy-general-configuration-widget.h
	widgets/buddy-groups-configuration-widget.h
	widgets/buddy-personal-info-configuration-widget.h
	widgets/buddy-options-configuration-widget.h
	widgets/buddy-info-panel.h
	widgets/chat-edit-box.h
	widgets/chat-edit-box-size-manager.h
	widgets/chat-messages-view.h
	widgets/chat-view-network-access-manager.h
	widgets/chat-widget.h
	widgets/chat-widget-actions.h
	widgets/chat-widget-manager.h
	widgets/choose-identity-widget.h
	widgets/color-button.h
	widgets/color-selector.h
	widgets/custom-input.h
	widgets/custom-input-menu-manager.h
	widgets/delayed-line-edit.h
	widgets/file-transfer-widget.h
	widgets/filter-widget.h
	widgets/filtered-tree-view.h
	widgets/group-list.h
	widgets/group-tab-bar.h
	widgets/groups-combo-box.h
	widgets/identities-combo-box.h
	widgets/kadu-tree-view.h
	widgets/kadu-tree-view-delegate.h
	widgets/kadu-web-view.h
	widgets/line-edit-clear-button.h
	widgets/line-edit-with-clear-button.h
	widgets/modal-configuration-widget.h
	widgets/path-edit.h
	widgets/path-list-edit.h
	widgets/preview.h
	widgets/proxy-combo-box.h
	widgets/progress-icon.h
	widgets/progress-label.h
	widgets/protocols-combo-box.h
	widgets/roster-widget.h
	widgets/select-buddy-combo-box.h
	widgets/select-buddy-popup.h
	widgets/select-file.h
	widgets/select-font.h
	widgets/status-button.h
	widgets/status-buttons.h
	widgets/status-menu.h
	widgets/syntax-editor.h
	widgets/talkable-delegate.h
	widgets/talkable-menu-manager.h
	widgets/talkable-tree-view.h
	widgets/toolbar.h

	widgets/configuration/buddy-list-background-colors-widget.h
	widgets/configuration/config-action-button.h
	widgets/configuration/config-check-box.h
	#widgets/configuration/config-widget-value.h
	widgets/configuration/configuration-widget.h
	widgets/configuration/config-label.h
	widgets/configuration/config-color-button.h
	widgets/configuration/config-combo-box.h
	widgets/configuration/config-gg-password-edit.h
	widgets/configuration/config-group-box.h
	widgets/configuration/config-hot-key-edit.h
	widgets/configuration/config-line-edit.h
	widgets/configuration/config-line-separator.h
	widgets/configuration/config-list-widget.h
	widgets/configuration/config-path-list-edit.h
	widgets/configuration/config-preview.h
	widgets/configuration/config-proxy-combo-box.h
	widgets/configuration/config-radio-button.h
	widgets/configuration/config-section.h
	widgets/configuration/config-select-file.h
	widgets/configuration/config-select-font.h
	widgets/configuration/config-slider.h
	widgets/configuration/config-spin-box.h
	widgets/configuration/config-syntax-editor.h
	widgets/configuration/config-tab.h
	widgets/configuration/kadu-scroll-area.h
	widgets/configuration/kadu-tab-widget.h
	widgets/configuration/notify-tree-widget.h
	widgets/configuration/notifier-configuration-widget.h
	widgets/configuration/notify-group-box.h

	windows/about.h
	windows/add-buddy-window.h
	windows/add-conference-window.h
	windows/buddy-data-window.h
	windows/buddy-delete-window.h
	windows/chat-data-window.h
	windows/chat-window.h
	windows/choose-description.h
	windows/configuration-window.h
	windows/file-transfer-window.h
	windows/group-properties-window.h
	windows/kadu-window.h
	windows/kadu-window-actions.h
	windows/main-configuration-window.h
	windows/main-window.h
	windows/merge-buddies-window.h
	windows/modules-window.h
	windows/multilogon-window.h
	windows/password-window.h
	windows/plugin-error-dialog.h
	windows/progress-window.h
	windows/progress-window2.h
	windows/proxy-action-context.h
	windows/proxy-edit-window.h
	windows/search-window.h
	windows/search-window-actions.h
	windows/subscription-window.h
	windows/syntax-editor-window.h
	windows/updates-dialog.h
	windows/window-notifier-window.h
	windows/your-accounts.h

	windows/open-chat-with/open-chat-with.h
	windows/open-chat-with/open-chat-with-runner-manager.h
)

if (MINGW)
	set_source_files_properties (windows/open-chat-with/open-chat-with.cpp PROPERTIES
		COMPILE_FLAGS "-fno-strict-aliasing"
	)
endif (MINGW)

kadu_subdirectory (gui "${gui_SRCS}" "${gui_MOC_SRCS}" "")
