=== debian/changelog ===
kadu (0.11.2-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/05-kadu_completion_fix.patch -- fix already
    included upstream
  * Added libqt4-svg to kadu's Depends

 -- Patryk Cisek <patryk@debian.org>  Tue, 17 Apr 2012 07:52:47 +0200

kadu (0.11.1-3) unstable; urgency=low

  * Backported the following fix of kadu_completion plugin from upstream
    repository:
    git://gitorious.org/mime_tex/kadu_completion.git
    The backported commit's fix: dfa94a16d3ff51e9bc05996836e4d46627d93d84

 -- Patryk Cisek <patryk@debian.org>  Wed, 04 Apr 2012 15:15:58 +0200
